
RSB GStreamer Integration - Bug #1637
Timestamp handling in rsbaudiosink seems to be wrong
09/25/2013 07:49 PM - J. Moringen

Status: Resolved Start date: 09/25/2013
Priority: High Due date:
Assignee: J. Moringen % Done: 0%
Category: Estimated time: 0.00 hour
Target version:
Description

This is from a log file recorded on natron:

Event
  Scope          : /audio/
  Id             : F9ACC3A0-570A-5C70-A21C-3805CB70B2AE
  Sequence-Number: 53242
  Origin         : F70B0862-320C-45AE-BB6C-5E705315D6E7
  Method         : N/A
Timestamps
  Create : 2030-08-08T22:06:42.784870+02:00
  Send   : 2013-09-24T16:35:01.679581+02:00
  Receive: 2013-09-24T16:35:01.680027+02:00
  Deliver: 2013-09-24T16:35:01.680036+02:00
Payload (RST.AUDITION:SOUND-CHUNK)
  #<SOUND-CHUNK {100CD9AE33}>
    Data        : 0000 06 00 72 00 FA FF 6B 00 F6 FF 35 00 FA FF D0 FF 01 00 F6 FF 0B 00 AE FF 0F 
    0019 00 96 FF 0E 00 6C FF F9 FF 15 FF F7 FF 16 FF 04 00 F2 FE F7 FF 1E FF FB FF 
    0032 D8 FE 02 00 9B FE 08 00 ED FE FF FF 02 FF ... [omitting 1,700 of 1,764 octets]
    Sample-Count: 441
    Channels    : 2
    Rate        : 44100
    Sample-Type : SAMPLE-S16
    Endianness  : ENDIAN-LITTLE

History
#1 - 09/25/2013 07:51 PM - J. Moringen
- Assignee set to J. Moringen

#2 - 10/11/2013 05:18 PM - J. Moringen
- Status changed from New to Resolved

Should be fixed in commit:fbaa75fc.
